<ion-view cache-view="false" title="CONTACTO" ng-controller="contactoCtrl as ctrl">
	<div class="container" style="padding-top: 50px">

		<div class="row">
			<div class="col-sm-12">
				<hr>
			</div>
			<!-- agregar nuevo telefono -->
			<div class="col-sm-6">
				<form class="form-inline">
						<div class="form-group">
							<label class="sr-only">Email:</label>
							<input type="email" class="form-control" placeholder="Email" ng-model="ctrl.contacto.email">
						</div>
					<button type="submit" class="btn btn-success" ng-click="ctrl.saveEmail()">Guardar email</button>
						<hr>
				</form>
				<form class="form-inline">
					<h4>Agregar número de Teléfono:</h4>
					<div class="form-group">
						<label class="sr-only" for="exampleInputName2">Titulo:</label>
						<input type="text" class="form-control" id="exampleInputName2" placeholder="Titulo: ventas" ng-model="ctrl.data.titulo">
					</div>
					<div class="form-group">
						<label class="sr-only" for="exampleInputEmail2">Teléfono</label>
						<input type="text" class="form-control" id="exampleInputEmail2" placeholder="Número" ng-model="ctrl.data.numero">
					</div>
					<button type="submit" class="btn btn-success" ng-click="ctrl.crear()">Agregar número</button>
				</form>
			</div>

			<!-- listado de telefonos -->
			<div class="col-sm-6">
				<div class="row" style="background-color:lightgray;">
					<div class="col-sm-12">
						<h4>Números de telefono:</h4>
					</div>
					<div class="col-sm-12" ng-repeat="tel in ctrl.telefonos">
						<div class="tel">
							<div class="thumbnail">
								<div class="caption">
									<p ng-if="ctrl.edit !== tel.$id">{{tel.titulo}}: {{tel.numero}}</p>
									<!-- edit tel -->
									<form class="form-inline" ng-if="ctrl.edit == tel.$id">
										<div class="form-group">
											<input type="text" class="form-control" ng-model="tel.titulo">
										</div>
										<div class="form-group">
											<input type="text" class="form-control" ng-model="tel.numero">
										</div>
									</form>
									<div class="btn-group" role="group">
										<button type="button" class="btn btn-default" ng-if="ctrl.edit != tel.$id" ng-click="ctrl.edit = tel.$id">Edit</button>
										<button type="button" class="btn btn-default" ng-if="ctrl.edit == tel.$id" ng-click="ctrl.save($index)">Save</button>
										<button type="button" class="btn btn-default" ng-if="ctrl.edit == tel.$id" ng-click="ctrl.edit = ''">Cancel</button>
										<button type="button" class="btn btn-default" ng-if="!ctrl.checkremove" ng-click="ctrl.checkremove = true">Delete</button>
										<button type="button" class="btn btn-default" ng-if="ctrl.checkremove" ng-click="ctrl.remove(tel)">Confirm remove</button>
										<button type="button" class="btn btn-danger" ng-if="ctrl.checkremove" ng-click="ctrl.checkremove = false">Cancel</button>
									</div>
								</div>
							</div>

						</div>
					</div>
				</div>
			</div>
		</div>
	</div><!-- /.container -->
</ion-view>
